<?php
/**
 * +----------------------------------------------------------------------
 * 配置文件
 * +----------------------------------------------------------------------
 * 官网：https://www.sw-x.cn
 * +----------------------------------------------------------------------
 * 作者：小黄牛 <1731223728@qq.com>
 * +----------------------------------------------------------------------
 * 开源协议：http://www.apache.org/licenses/LICENSE-2.0
 * +----------------------------------------------------------------------
*/


namespace BaiduPNS\config;

class Config {
    /**
     * 安全认证 -> Access Key 
    */
    private $AK = '';
    /**
     * 安全认证 -> Secret Key 
    */
    private $SK = '';
    /**
     * 通用请求头中的要求
    */
    private $HOST = 'pns.baidubce.com';
    /**
     * 接口根地址
    */
    private $BASE_URL = 'http://pns.baidubce.com/';
    /**
     * 接口版本
    */
    private $Version = '1';

    //------------------------------- 通用读取配置函数 -------------------------------
    public function getAk() {
        return $this->AK;
    }
    public function getSk() {
        return $this->SK;
    }
    public function getHost() {
        return $this->HOST;
    }
    public function getBaseUrl() {
        return $this->BASE_URL;
    }
    public function getVersion() {
        return $this->Version;
    }
    //------------------------------- 读取日期时间 -------------------------------
    public function getTimestamp() {
        $date = new \DateTime('now');
        $date->setTimezone(new \DateTimeZone('UTC'));
        return $date->format('Y-m-d\TH:i:s\Z');
    }
}