<?php
/**
 * +----------------------------------------------------------------------
 * 隐私号随机获取
 * +----------------------------------------------------------------------
 * 官网：https://www.sw-x.cn
 * +----------------------------------------------------------------------
 * 作者：小黄牛 <1731223728@qq.com>
 * +----------------------------------------------------------------------
 * 开源协议：http://www.apache.org/licenses/LICENSE-2.0
 * +----------------------------------------------------------------------
*/


namespace BaiduPNS\config;

class Phone {
    /**
     * 隐私号
    */
    private $list = [];
    
    /**
     * 初始化
    */
    public function __construct() {
        $this->list = require_once dirname(__FILE__).'/map.php';
    }

    /**
     * 随机获得一个隐私号
     * @todo 无
     * @author 小黄牛
     * @version v2.5.0 + 2021.07.20
     * @deprecated 暂不启用
     * @global 无
     * @return array
    */
    public function get() {
        $num = count($this->list)-1;
        $rand = rand(0, $num);
        return $this->list[$rand];
    }
}